/*!
 * iOS SDK
 *
 * Tencent is pleased to support the open source community by making
 * Hippy available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.
 * All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#import "HippyCSSPropsDefine.h"

NSString *const HippyDevtoolsCSSPropOverFlow = @"overflow";
NSString *const HippyDevtoolsCSSPropCollapsable = @"collapsable";
NSString *const HippyDevtoolsCSSPropJustifyContent = @"justifyContent";
NSString *const HippyDevtoolsCSSPropDisplay = @"display";
NSString *const HippyDevtoolsCSSPropPosition = @"position";
NSString *const HippyDevtoolsCSSPropZIndex = @"zIndex";
NSString *const HippyDevtoolsCSSPropOpacity = @"opacity";
NSString *const HippyDevtoolsCSSPropFontSize = @"fontSize";
NSString *const HippyDevtoolsCSSPropLineHeight = @"lineHeight";
NSString *const HippyDevtoolsCSSPropLetterSpacing = @"letterSpacing";
NSString *const HippyDevtoolsCSSPropFontWeight  = @"fontWeight";
NSString *const HippyDevtoolsCSSPropFontStyle = @"fontStyle";
NSString *const HippyDevtoolsCSSPropBackgroundSize = @"backgroundSize";
NSString *const HippyDevtoolsCSSPropBackgroundPositionX = @"backgroundPositionX";
NSString *const HippyDevtoolsCSSPropBackgroundPositionY = @"backgroundPositionY";
NSString *const HippyDevtoolsCSSPropBackgroundColor = @"backgroundColor";
NSString *const HippyDevtoolsCSSPropTextAlign = @"textAlign";
NSString *const HippyDevtoolsCSSPropResizeMode = @"resizeMode";
NSString *const HippyDevtoolsCSSPropColor = @"color";
NSString *const HippyDevtoolsCSSPropTextShadowColor = @"textShadowColor";
NSString *const HippyDevtoolsCSSPropTextDecorationColor = @"textDecorationColor";

#pragma mark - Rect
NSString *const HippyDevtoolsCSSPropLeft = @"left";
NSString *const HippyDevtoolsCSSPropTop = @"top";
NSString *const HippyDevtoolsCSSPropRight = @"right";
NSString *const HippyDevtoolsCSSPropBottom = @"bottom";
NSString *const HippyDevtoolsCSSPropWidth = @"width";
NSString *const HippyDevtoolsCSSPropHeight = @"height";
NSString *const HippyDevtoolsCSSPropMinWidth = @"minWidth";
NSString *const HippyDevtoolsCSSPropMaxWidth = @"maxWidth";
NSString *const HippyDevtoolsCSSPropMinHeight = @"minHeight";
NSString *const HippyDevtoolsCSSPropMaxHeight = @"maxHeight";
NSString *const HippyDevtoolsCSSPropCenter = @"center";

#pragma mark - Flex
NSString *const HippyDevtoolsCSSPropFlex = @"flex";
NSString *const HippyDevtoolsCSSPropFlexGrow = @"flexGrow";
NSString *const HippyDevtoolsCSSPropFlexShrink = @"flexShrink";
NSString *const HippyDevtoolsCSSPropFlexBasis = @"flexBasis";
NSString *const HippyDevtoolsCSSPropFlexDirection = @"flexDirection";
NSString *const HippyDevtoolsCSSPropFlexWrap = @"flexWrap";

#pragma mark - Align
NSString *const HippyDevtoolsCSSPropAlignItems = @"alignItems";
NSString *const HippyDevtoolsCSSPropAlignSelf = @"alignSelf";

#pragma mark - Border
NSString *const HippyDevtoolsCSSPropBorder = @"border";
NSString *const HippyDevtoolsCSSPropBorderWidth = @"borderWidth";
NSString *const HippyDevtoolsCSSPropBorderLeftWidth = @"borderLeftWidth";
NSString *const HippyDevtoolsCSSPropBorderTopWidth = @"borderTopWidth";
NSString *const HippyDevtoolsCSSPropBorderRightWidth = @"borderRightWidth";
NSString *const HippyDevtoolsCSSPropBorderBottomWidth = @"borderBottomWidth";
NSString *const HippyDevtoolsCSSPropBorderColor = @"borderColor";
NSString *const HippyDevtoolsCSSPropBorderLeftColor = @"borderLeftColor";
NSString *const HippyDevtoolsCSSPropBorderTopColor = @"borderTopColor";
NSString *const HippyDevtoolsCSSPropBorderRightColor = @"borderRightColor";
NSString *const HippyDevtoolsCSSPropBorderBottomColor = @"borderBottomColor";
NSString *const HippyDevtoolsCSSPropBorderStyle = @"borderStyle";
NSString *const HippyDevtoolsCSSPropBorderRadius = @"borderRadius";
NSString *const HippyDevtoolsCSSPropBorderTopLeftRadius = @"borderTopLeftRadius";
NSString *const HippyDevtoolsCSSPropBorderTopRightRadius = @"borderTopRightRadius";
NSString *const HippyDevtoolsCSSPropBorderBottomLeftRadius = @"borderBottomLeftRadius";
NSString *const HippyDevtoolsCSSPropBorderBottomRightRadius = @"borderBottomRightRadius";

#pragma mark - Padding
NSString *const HippyDevtoolsCSSPropPadding = @"padding";
NSString *const HippyDevtoolsCSSPropPaddingLeft = @"paddingLeft";
NSString *const HippyDevtoolsCSSPropPaddingTop = @"paddingTop";
NSString *const HippyDevtoolsCSSPropPaddingRight = @"paddingRight";
NSString *const HippyDevtoolsCSSPropPaddingBottom = @"paddingBottom";

#pragma mark - Margin
NSString *const HippyDevtoolsCSSPropMargin = @"margin";
NSString *const HippyDevtoolsCSSPropMarginLeft = @"marginLeft";
NSString *const HippyDevtoolsCSSPropMarginTop = @"marginTop";
NSString *const HippyDevtoolsCSSPropMarginRight = @"marginRight";
NSString *const HippyDevtoolsCSSPropMarginBottom = @"marginBottom";

#pragma mark - Shadow
NSString *const HippyDevtoolsCSSPropShadowColor = @"shadowColor";
NSString *const HippyDevtoolsCSSPropShadowOffset = @"shadowOffset";
NSString *const HippyDevtoolsCSSPropShadowOffsetX = @"shadowOffsetX";
NSString *const HippyDevtoolsCSSPropShadowOffsetY = @"shadowOffsetY";
NSString *const HippyDevtoolsCSSPropShadowOpacity = @"shadowOpacity";
NSString *const HippyDevtoolsCSSPropShadowRadius = @"shadowRadius";
NSString *const HippyDevtoolsCSSPropShadowSpread = @"shadowSpread";

#pragma mark - Props Value General
NSString *const HippyDevtoolsCSSPropValueFlexStart = @"flex-start";
NSString *const HippyDevtoolsCSSPropValueFlexEnd = @"flex-end";
NSString *const HippyDevtoolsCSSPropValueStretch = @"stretch";
NSString *const HippyDevtoolsCSSPropValueBaseline = @"baseline";
NSString *const HippyDevtoolsCSSPropValueAuto = @"auto";
NSString *const HippyDevtoolsCSSPropValueNormal = @"normal";
NSString *const HippyDevtoolsCSSPropValueItalic = @"italic";
NSString *const HippyDevtoolsCSSPropValueBold = @"bold";
NSString *const HippyDevtoolsCSSPropValueContain = @"contain";
NSString *const HippyDevtoolsCSSPropValueCover = @"cover";
NSString *const HippyDevtoolsCSSPropValueRepeat = @"repeat";

#pragma mark - Props Value Display
NSString *const HippyDevtoolsCSSPropValueDisplayFlex  = @"flex";
NSString *const HippyDevtoolsCSSPropValueDisplayNone = @"none";

#pragma mark - Props Value Flex Direction
NSString *const HippyDevtoolsCSSPropValueColumn = @"column";
NSString *const HippyDevtoolsCSSPropValueColumnReverse = @"column-reverse";
NSString *const HippyDevtoolsCSSPropValueRow = @"row";
NSString *const HippyDevtoolsCSSPropValueRowReverse = @"row-reverse";

#pragma mark - Props Value Flex Wrap
NSString *const HippyDevtoolsCSSPropValueNowrap = @"nowrap";
NSString *const HippyDevtoolsCSSPropValueWrap = @"wrap";
NSString *const HippyDevtoolsCSSPropValueWrapReverse = @"wrap-reverse";

#pragma mark - Props Value Justify content
NSString *const HippyDevtoolsCSSPropValueSpaceBetween = @"space-between";
NSString *const HippyDevtoolsCSSPropValueSpaceAround = @"space-around";
NSString *const HippyDevtoolsCSSPropValueSpaceEvenly = @"space-evenly";

#pragma mark - Props Value OverFlow
NSString *const HippyDevtoolsCSSPropValueHidden = @"hidden";
NSString *const HippyDevtoolsCSSPropValueVisible = @"visible";
NSString *const HippyDevtoolsCSSPropValueScroll = @"scroll";

#pragma mark - Props Value Position
NSString *const HippyDevtoolsCSSPropValueRelative = @"relative";
NSString *const HippyDevtoolsCSSPropValueAbsolute = @"absolute";

#pragma mark - Props Value Background Size
NSString *const HippyDevtoolsCSSPropValueBackgroundSizeFit = @"fit";

#pragma mark - Props Value Font Weight
NSString *const HippyDevtoolsCSSPropValueFontWeight100 = @"100";
NSString *const HippyDevtoolsCSSPropValueFontWeight200 = @"200";
NSString *const HippyDevtoolsCSSPropValueFontWeight300 = @"300";
NSString *const HippyDevtoolsCSSPropValueFontWeight400 = @"400";
NSString *const HippyDevtoolsCSSPropValueFontWeight500 = @"500";
NSString *const HippyDevtoolsCSSPropValueFontWeight600 = @"600";
NSString *const HippyDevtoolsCSSPropValueFontWeight700 = @"700";
NSString *const HippyDevtoolsCSSPropValueFontWeight800 = @"800";
NSString *const HippyDevtoolsCSSPropValueFontWeight900 = @"900";
